MDVA-41597: errore durante l'aggiunta di più prodotti configurabili al carrello

La patch MDVA-41597 risolve il problema relativo all'errore che si verifica quando si aggiungono al carrello più prodotti configurabili tramite GraphQL. Questa patch è disponibile quando Strumento Patch di qualità (QPT) 1.1.6. L'ID della patch è MDVA-41597. Il problema è pianificato per essere risolto in Adobe Commerce 2.4.4.

Prodotti e versioni interessati

La patch viene creata per la versione Adobe Commerce:

Adobe Commerce (tutti i metodi di implementazione) 2.4.2-p1

Compatibile con le versioni di Adobe Commerce:

Adobe Commerce (tutti i metodi di implementazione) 2.4.2 - 2.4.3-p1

NOTE
La patch potrebbe diventare applicabile ad altre versioni con le nuove versioni dello strumento Patch di qualità. Per verificare se la patch è compatibile con la versione di Adobe Commerce in uso, aggiorna la magento/quality-patches alla versione più recente e verificare la compatibilità nella Quality Patches Tool: pagina Cerca patch. Utilizza l’ID patch come parola chiave di ricerca per individuare la patch.

Problema

Gli utenti ricevono un errore quando aggiungono più di un prodotto configurabile al carrello utilizzando GraphQL.

Passaggi da riprodurre:

Aggiungi più prodotti configurabili al carrello utilizzando la mutazione GraphQL: addConfigurableProductsToCart.

Risultati previsti:

Tutti i prodotti configurabili vengono aggiunti al carrello.

Risultati effettivi:

Solo il primo prodotto viene aggiunto al carrello.

Applicare la patch

Per applicare singole patch, utilizzare i collegamenti seguenti, a seconda del metodo di distribuzione utilizzato:

Lettura correlata

Per ulteriori informazioni sullo strumento Patch di qualità, vedere:

Per informazioni sulle altre patch disponibili in QPT, fare riferimento al Patch disponibili in QPT sezione.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a